Trigger DVR Export
Update DVR Export of record stream
curl -X POST "https://api.5centscdn.com/v2/streams/record/1001/export" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"zoneid": 0,
"folder": "/",
"filename": "name-start-end",
"start": "1603126800",
"end": "1603171800"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/record/1001/export"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"zoneid": 0,
"folder": "/",
"filename": "name-start-end",
"start": "1603126800",
"end": "1603171800"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/record/1001/export", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"zoneid": 0,
"folder": "/",
"filename": "name-start-end",
"start": "1603126800",
"end": "1603171800"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"zoneid": 0,
"folder": "/",
"filename": "name-start-end",
"start": "1603126800",
"end": "1603171800"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/record/1001/export", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/record/1001/export')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"zoneid": 0,
"folder": "/",
"filename": "name-start-end",
"start": "1603126800",
"end": "1603171800"
}'
response = http.request(request)
puts response.body
{
"zoneid": 5001,
"folder": "/exports",
"filename": "name-start-end",
"start": "1603126800",
"end": "1603171800",
"result": "success",
"progressUrl": "https://api.5centscdn.com/v2/export/progress/123"
}
/streams/record/{streamid}/exportTarget server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
Enter Push Zone Id
Folder to export DVR to. Folder will be created if not exists.
filename format can be name-start-end, name-start-length, hash-start-end, hash-start-length, id-start-end or id-start-length
Start format should be UTC timestamp.
End format should be UTC timestamp.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
filename format can be name-start-end, name-start-length, hash-start-end, hash-start-length, id-start-end or id-start-length
name-start-endResponses
Unique identifier of the associated push zone.
Destination folder path.
Start position or timestamp.
Status of the API response.